Uploaded image for project: 'Hadoop Common'
  1. Hadoop Common
  2. HADOOP-16151

pip install pylint fails in branch-2.8 and branch-2.9

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.8.6, 2.9.3
    • Component/s: build
    • Labels:
      None

      Description

      precommit build fails in branch-2.8 https://builds.apache.org/job/PreCommit-HADOOP-Build/15982/consoleFull

      Step 24/31 : RUN pip install pylint==1.9.2
       ---> Running in c0bed03b7115
      Downloading/unpacking pylint==1.9.2
      Downloading/unpacking configparser (from pylint==1.9.2)
        Downloading configparser-3.7.3-py2.py3-none-any.whl
      Downloading/unpacking backports.functools-lru-cache (from pylint==1.9.2)
        Downloading backports.functools_lru_cache-1.5-py2.py3-none-any.whl
      Requirement already satisfied (use --upgrade to upgrade): six in /usr/lib/python2.7/dist-packages (from pylint==1.9.2)
      Downloading/unpacking isort>=4.2.5 (from pylint==1.9.2)
        Running setup.py (path:/tmp/pip_build_root/isort/setup.py) egg_info for package isort
          /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
            warnings.warn(msg)
          error in isort setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers
          Complete output from command python setup.py egg_info:
          /usr/lib/python2.7/distutils/dist.py:267: UserWarning: Unknown distribution option: 'python_requires'
      
        warnings.warn(msg)
      
      error in isort setup command: 'install_requires' must be a string or list of strings containing valid project/version requirement specifiers
      
      ----------------------------------------
      Cleaning up...
      Command python setup.py egg_info failed with error code 1 in /tmp/pip_build_root/isort
      Storing debug log for failure in /root/.pip/pip.log
      The command '/bin/sh -c pip install pylint==1.9.2' returned a non-zero code: 1
      

        Attachments

        1. HADOOP-16151-branch-2.9-02.patch
          0.7 kB
          Akira Ajisaka
        2. HADOOP-16151-branch-2.8-02.patch
          0.7 kB
          Akira Ajisaka
        3. HADOOP-16151-branch-2.8-01.patch
          0.7 kB
          Akira Ajisaka

          Issue Links

            Activity

              People

              • Assignee:
                aajisaka Akira Ajisaka
                Reporter:
                aajisaka Akira Ajisaka
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: